Skip to main content
GET
Get validator rewards metrics
Using this endpoint, you can query the historical daily rewards of a validator by their unique validator_address. totalDelegationRewards are the Babylon rewards, denominated in the network’s native token, which delegators are entitled to receive from the validator they have staked to. This includes the rewards towards a validator if they have self-staked/self-bonded. The rewards from the commission a validator charges are given by the totalCommissionRewards. You can use the fromDate and toDate parameters to query a range of days.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

validator_address
string
required

Query Parameters

limit
integer
default:10

The number of results returned per page

offset
integer
default:0

The number of results to skip before starting to return

fromDate
string<date> | null

Start date

Example:

"2023-01-01"

toDate
string<date> | null

End date

Example:

"2023-12-31"

Response

Successful Response

previous
string | null
required
next
string | null
required
pages
integer
required
Required range: x >= 0
results
BabylonValidatorRewards · object[]
required